cURL
curl --request POST \
--url https://api.alex.com/v1/api/data-exports \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"entities": [
"Jobs",
"Candidates",
"Interviews"
],
"emails": [
"ops@example.com"
],
"filters": {
"jobs": {
"createdBy": [
"<string>"
],
"status": [
"<string>"
],
"workflow": [
"<string>"
],
"label": [
"<string>"
],
"createdDate": [
"last_30_days"
]
},
"candidates": {
"jobOwner": [
"<string>"
],
"decision": [
"<string>"
],
"createdDate": [
"last_30_days"
]
},
"interviews": {
"jobIds": [
"<string>"
],
"status": [
"<string>"
],
"callOutcome": [
"<string>"
],
"recommendation": [
"<string>"
],
"read": [
"<string>"
],
"decision": [
"<string>"
],
"createdDate": [
"last_30_days"
],
"completedDate": [
"last_30_days"
]
},
"activity": {
"createdDate": [
"last_30_days"
],
"jobIds": [
"<string>"
],
"kinds": []
},
"tasks": {
"createdDate": [
"last_30_days"
],
"jobIds": [
"<string>"
],
"taskDefinitionIds": [
"<string>"
]
},
"unansweredQuestions": {
"jobIds": [
"<string>"
],
"occurredDate": [
"last_30_days"
]
},
"interviewQA": {
"jobIds": [
"<string>"
],
"completedDate": [
"last_30_days"
],
"columns": []
},
"analytics": {
"invitedDate": [
"last_30_days"
],
"jobIds": [
"<string>"
],
"ownerIds": [
"<string>"
],
"labelIds": [
"<string>"
],
"workflowIds": [
"<string>"
],
"sourceKeys": [
"<string>"
]
}
}
}
'import requests
url = "https://api.alex.com/v1/api/data-exports"
payload = {
"entities": ["Jobs", "Candidates", "Interviews"],
"emails": ["ops@example.com"],
"filters": {
"jobs": {
"createdBy": ["<string>"],
"status": ["<string>"],
"workflow": ["<string>"],
"label": ["<string>"],
"createdDate": ["last_30_days"]
},
"candidates": {
"jobOwner": ["<string>"],
"decision": ["<string>"],
"createdDate": ["last_30_days"]
},
"interviews": {
"jobIds": ["<string>"],
"status": ["<string>"],
"callOutcome": ["<string>"],
"recommendation": ["<string>"],
"read": ["<string>"],
"decision": ["<string>"],
"createdDate": ["last_30_days"],
"completedDate": ["last_30_days"]
},
"activity": {
"createdDate": ["last_30_days"],
"jobIds": ["<string>"],
"kinds": []
},
"tasks": {
"createdDate": ["last_30_days"],
"jobIds": ["<string>"],
"taskDefinitionIds": ["<string>"]
},
"unansweredQuestions": {
"jobIds": ["<string>"],
"occurredDate": ["last_30_days"]
},
"interviewQA": {
"jobIds": ["<string>"],
"completedDate": ["last_30_days"],
"columns": []
},
"analytics": {
"invitedDate": ["last_30_days"],
"jobIds": ["<string>"],
"ownerIds": ["<string>"],
"labelIds": ["<string>"],
"workflowIds": ["<string>"],
"sourceKeys": ["<string>"]
}
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entities: ['Jobs', 'Candidates', 'Interviews'],
emails: ['ops@example.com'],
filters: {
jobs: {
createdBy: ['<string>'],
status: ['<string>'],
workflow: ['<string>'],
label: ['<string>'],
createdDate: ['last_30_days']
},
candidates: {jobOwner: ['<string>'], decision: ['<string>'], createdDate: ['last_30_days']},
interviews: {
jobIds: ['<string>'],
status: ['<string>'],
callOutcome: ['<string>'],
recommendation: ['<string>'],
read: ['<string>'],
decision: ['<string>'],
createdDate: ['last_30_days'],
completedDate: ['last_30_days']
},
activity: {createdDate: ['last_30_days'], jobIds: ['<string>'], kinds: []},
tasks: {
createdDate: ['last_30_days'],
jobIds: ['<string>'],
taskDefinitionIds: ['<string>']
},
unansweredQuestions: {jobIds: ['<string>'], occurredDate: ['last_30_days']},
interviewQA: {jobIds: ['<string>'], completedDate: ['last_30_days'], columns: []},
analytics: {
invitedDate: ['last_30_days'],
jobIds: ['<string>'],
ownerIds: ['<string>'],
labelIds: ['<string>'],
workflowIds: ['<string>'],
sourceKeys: ['<string>']
}
}
})
};
fetch('https://api.alex.com/v1/api/data-exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.alex.com/v1/api/data-exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entities' => [
'Jobs',
'Candidates',
'Interviews'
],
'emails' => [
'ops@example.com'
],
'filters' => [
'jobs' => [
'createdBy' => [
'<string>'
],
'status' => [
'<string>'
],
'workflow' => [
'<string>'
],
'label' => [
'<string>'
],
'createdDate' => [
'last_30_days'
]
],
'candidates' => [
'jobOwner' => [
'<string>'
],
'decision' => [
'<string>'
],
'createdDate' => [
'last_30_days'
]
],
'interviews' => [
'jobIds' => [
'<string>'
],
'status' => [
'<string>'
],
'callOutcome' => [
'<string>'
],
'recommendation' => [
'<string>'
],
'read' => [
'<string>'
],
'decision' => [
'<string>'
],
'createdDate' => [
'last_30_days'
],
'completedDate' => [
'last_30_days'
]
],
'activity' => [
'createdDate' => [
'last_30_days'
],
'jobIds' => [
'<string>'
],
'kinds' => [
]
],
'tasks' => [
'createdDate' => [
'last_30_days'
],
'jobIds' => [
'<string>'
],
'taskDefinitionIds' => [
'<string>'
]
],
'unansweredQuestions' => [
'jobIds' => [
'<string>'
],
'occurredDate' => [
'last_30_days'
]
],
'interviewQA' => [
'jobIds' => [
'<string>'
],
'completedDate' => [
'last_30_days'
],
'columns' => [
]
],
'analytics' => [
'invitedDate' => [
'last_30_days'
],
'jobIds' => [
'<string>'
],
'ownerIds' => [
'<string>'
],
'labelIds' => [
'<string>'
],
'workflowIds' => [
'<string>'
],
'sourceKeys' => [
'<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.alex.com/v1/api/data-exports"
payload := strings.NewReader("{\n \"entities\": [\n \"Jobs\",\n \"Candidates\",\n \"Interviews\"\n ],\n \"emails\": [\n \"ops@example.com\"\n ],\n \"filters\": {\n \"jobs\": {\n \"createdBy\": [\n \"<string>\"\n ],\n \"status\": [\n \"<string>\"\n ],\n \"workflow\": [\n \"<string>\"\n ],\n \"label\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ]\n },\n \"candidates\": {\n \"jobOwner\": [\n \"<string>\"\n ],\n \"decision\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ]\n },\n \"interviews\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"status\": [\n \"<string>\"\n ],\n \"callOutcome\": [\n \"<string>\"\n ],\n \"recommendation\": [\n \"<string>\"\n ],\n \"read\": [\n \"<string>\"\n ],\n \"decision\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"completedDate\": [\n \"last_30_days\"\n ]\n },\n \"activity\": {\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"kinds\": []\n },\n \"tasks\": {\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"taskDefinitionIds\": [\n \"<string>\"\n ]\n },\n \"unansweredQuestions\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"occurredDate\": [\n \"last_30_days\"\n ]\n },\n \"interviewQA\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"completedDate\": [\n \"last_30_days\"\n ],\n \"columns\": []\n },\n \"analytics\": {\n \"invitedDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"ownerIds\": [\n \"<string>\"\n ],\n \"labelIds\": [\n \"<string>\"\n ],\n \"workflowIds\": [\n \"<string>\"\n ],\n \"sourceKeys\": [\n \"<string>\"\n ]\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.alex.com/v1/api/data-exports")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"entities\": [\n \"Jobs\",\n \"Candidates\",\n \"Interviews\"\n ],\n \"emails\": [\n \"ops@example.com\"\n ],\n \"filters\": {\n \"jobs\": {\n \"createdBy\": [\n \"<string>\"\n ],\n \"status\": [\n \"<string>\"\n ],\n \"workflow\": [\n \"<string>\"\n ],\n \"label\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ]\n },\n \"candidates\": {\n \"jobOwner\": [\n \"<string>\"\n ],\n \"decision\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ]\n },\n \"interviews\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"status\": [\n \"<string>\"\n ],\n \"callOutcome\": [\n \"<string>\"\n ],\n \"recommendation\": [\n \"<string>\"\n ],\n \"read\": [\n \"<string>\"\n ],\n \"decision\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"completedDate\": [\n \"last_30_days\"\n ]\n },\n \"activity\": {\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"kinds\": []\n },\n \"tasks\": {\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"taskDefinitionIds\": [\n \"<string>\"\n ]\n },\n \"unansweredQuestions\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"occurredDate\": [\n \"last_30_days\"\n ]\n },\n \"interviewQA\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"completedDate\": [\n \"last_30_days\"\n ],\n \"columns\": []\n },\n \"analytics\": {\n \"invitedDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"ownerIds\": [\n \"<string>\"\n ],\n \"labelIds\": [\n \"<string>\"\n ],\n \"workflowIds\": [\n \"<string>\"\n ],\n \"sourceKeys\": [\n \"<string>\"\n ]\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.alex.com/v1/api/data-exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entities\": [\n \"Jobs\",\n \"Candidates\",\n \"Interviews\"\n ],\n \"emails\": [\n \"ops@example.com\"\n ],\n \"filters\": {\n \"jobs\": {\n \"createdBy\": [\n \"<string>\"\n ],\n \"status\": [\n \"<string>\"\n ],\n \"workflow\": [\n \"<string>\"\n ],\n \"label\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ]\n },\n \"candidates\": {\n \"jobOwner\": [\n \"<string>\"\n ],\n \"decision\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ]\n },\n \"interviews\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"status\": [\n \"<string>\"\n ],\n \"callOutcome\": [\n \"<string>\"\n ],\n \"recommendation\": [\n \"<string>\"\n ],\n \"read\": [\n \"<string>\"\n ],\n \"decision\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"completedDate\": [\n \"last_30_days\"\n ]\n },\n \"activity\": {\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"kinds\": []\n },\n \"tasks\": {\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"taskDefinitionIds\": [\n \"<string>\"\n ]\n },\n \"unansweredQuestions\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"occurredDate\": [\n \"last_30_days\"\n ]\n },\n \"interviewQA\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"completedDate\": [\n \"last_30_days\"\n ],\n \"columns\": []\n },\n \"analytics\": {\n \"invitedDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"ownerIds\": [\n \"<string>\"\n ],\n \"labelIds\": [\n \"<string>\"\n ],\n \"workflowIds\": [\n \"<string>\"\n ],\n \"sourceKeys\": [\n \"<string>\"\n ]\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "pending",
"entities": [
"Jobs",
"Candidates"
],
"createdAt": "2026-11-09T18:00:00.000Z",
"expiresAt": "2036-11-09T18:00:00.000Z",
"downloadUrl": null
}{
"error": true,
"message": "<string>"
}{
"error": true,
"message": "<string>"
}{
"error": true,
"message": "<string>"
}Data Exports
Create Data Export
Queues the same CSV zip as Settings → Data Export. Returns immediately with status: pending. Poll GET /data-exports/{id} until status is completed, then download downloadUrl. Optionally pass emails to also send the Settings export email. jobIds are Alex position ids from GET /interviewers or GET /positions. Date-range filters take one of last_5_days, last_10_days, last_30_days, all_time, or custom:YYYY-MM-DD:YYYY-MM-DD.
POST
/
data-exports
cURL
curl --request POST \
--url https://api.alex.com/v1/api/data-exports \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <api-key>' \
--data '
{
"entities": [
"Jobs",
"Candidates",
"Interviews"
],
"emails": [
"ops@example.com"
],
"filters": {
"jobs": {
"createdBy": [
"<string>"
],
"status": [
"<string>"
],
"workflow": [
"<string>"
],
"label": [
"<string>"
],
"createdDate": [
"last_30_days"
]
},
"candidates": {
"jobOwner": [
"<string>"
],
"decision": [
"<string>"
],
"createdDate": [
"last_30_days"
]
},
"interviews": {
"jobIds": [
"<string>"
],
"status": [
"<string>"
],
"callOutcome": [
"<string>"
],
"recommendation": [
"<string>"
],
"read": [
"<string>"
],
"decision": [
"<string>"
],
"createdDate": [
"last_30_days"
],
"completedDate": [
"last_30_days"
]
},
"activity": {
"createdDate": [
"last_30_days"
],
"jobIds": [
"<string>"
],
"kinds": []
},
"tasks": {
"createdDate": [
"last_30_days"
],
"jobIds": [
"<string>"
],
"taskDefinitionIds": [
"<string>"
]
},
"unansweredQuestions": {
"jobIds": [
"<string>"
],
"occurredDate": [
"last_30_days"
]
},
"interviewQA": {
"jobIds": [
"<string>"
],
"completedDate": [
"last_30_days"
],
"columns": []
},
"analytics": {
"invitedDate": [
"last_30_days"
],
"jobIds": [
"<string>"
],
"ownerIds": [
"<string>"
],
"labelIds": [
"<string>"
],
"workflowIds": [
"<string>"
],
"sourceKeys": [
"<string>"
]
}
}
}
'import requests
url = "https://api.alex.com/v1/api/data-exports"
payload = {
"entities": ["Jobs", "Candidates", "Interviews"],
"emails": ["ops@example.com"],
"filters": {
"jobs": {
"createdBy": ["<string>"],
"status": ["<string>"],
"workflow": ["<string>"],
"label": ["<string>"],
"createdDate": ["last_30_days"]
},
"candidates": {
"jobOwner": ["<string>"],
"decision": ["<string>"],
"createdDate": ["last_30_days"]
},
"interviews": {
"jobIds": ["<string>"],
"status": ["<string>"],
"callOutcome": ["<string>"],
"recommendation": ["<string>"],
"read": ["<string>"],
"decision": ["<string>"],
"createdDate": ["last_30_days"],
"completedDate": ["last_30_days"]
},
"activity": {
"createdDate": ["last_30_days"],
"jobIds": ["<string>"],
"kinds": []
},
"tasks": {
"createdDate": ["last_30_days"],
"jobIds": ["<string>"],
"taskDefinitionIds": ["<string>"]
},
"unansweredQuestions": {
"jobIds": ["<string>"],
"occurredDate": ["last_30_days"]
},
"interviewQA": {
"jobIds": ["<string>"],
"completedDate": ["last_30_days"],
"columns": []
},
"analytics": {
"invitedDate": ["last_30_days"],
"jobIds": ["<string>"],
"ownerIds": ["<string>"],
"labelIds": ["<string>"],
"workflowIds": ["<string>"],
"sourceKeys": ["<string>"]
}
}
}
headers = {
"X-API-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-API-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
entities: ['Jobs', 'Candidates', 'Interviews'],
emails: ['ops@example.com'],
filters: {
jobs: {
createdBy: ['<string>'],
status: ['<string>'],
workflow: ['<string>'],
label: ['<string>'],
createdDate: ['last_30_days']
},
candidates: {jobOwner: ['<string>'], decision: ['<string>'], createdDate: ['last_30_days']},
interviews: {
jobIds: ['<string>'],
status: ['<string>'],
callOutcome: ['<string>'],
recommendation: ['<string>'],
read: ['<string>'],
decision: ['<string>'],
createdDate: ['last_30_days'],
completedDate: ['last_30_days']
},
activity: {createdDate: ['last_30_days'], jobIds: ['<string>'], kinds: []},
tasks: {
createdDate: ['last_30_days'],
jobIds: ['<string>'],
taskDefinitionIds: ['<string>']
},
unansweredQuestions: {jobIds: ['<string>'], occurredDate: ['last_30_days']},
interviewQA: {jobIds: ['<string>'], completedDate: ['last_30_days'], columns: []},
analytics: {
invitedDate: ['last_30_days'],
jobIds: ['<string>'],
ownerIds: ['<string>'],
labelIds: ['<string>'],
workflowIds: ['<string>'],
sourceKeys: ['<string>']
}
}
})
};
fetch('https://api.alex.com/v1/api/data-exports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.alex.com/v1/api/data-exports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'entities' => [
'Jobs',
'Candidates',
'Interviews'
],
'emails' => [
'ops@example.com'
],
'filters' => [
'jobs' => [
'createdBy' => [
'<string>'
],
'status' => [
'<string>'
],
'workflow' => [
'<string>'
],
'label' => [
'<string>'
],
'createdDate' => [
'last_30_days'
]
],
'candidates' => [
'jobOwner' => [
'<string>'
],
'decision' => [
'<string>'
],
'createdDate' => [
'last_30_days'
]
],
'interviews' => [
'jobIds' => [
'<string>'
],
'status' => [
'<string>'
],
'callOutcome' => [
'<string>'
],
'recommendation' => [
'<string>'
],
'read' => [
'<string>'
],
'decision' => [
'<string>'
],
'createdDate' => [
'last_30_days'
],
'completedDate' => [
'last_30_days'
]
],
'activity' => [
'createdDate' => [
'last_30_days'
],
'jobIds' => [
'<string>'
],
'kinds' => [
]
],
'tasks' => [
'createdDate' => [
'last_30_days'
],
'jobIds' => [
'<string>'
],
'taskDefinitionIds' => [
'<string>'
]
],
'unansweredQuestions' => [
'jobIds' => [
'<string>'
],
'occurredDate' => [
'last_30_days'
]
],
'interviewQA' => [
'jobIds' => [
'<string>'
],
'completedDate' => [
'last_30_days'
],
'columns' => [
]
],
'analytics' => [
'invitedDate' => [
'last_30_days'
],
'jobIds' => [
'<string>'
],
'ownerIds' => [
'<string>'
],
'labelIds' => [
'<string>'
],
'workflowIds' => [
'<string>'
],
'sourceKeys' => [
'<string>'
]
]
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json",
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.alex.com/v1/api/data-exports"
payload := strings.NewReader("{\n \"entities\": [\n \"Jobs\",\n \"Candidates\",\n \"Interviews\"\n ],\n \"emails\": [\n \"ops@example.com\"\n ],\n \"filters\": {\n \"jobs\": {\n \"createdBy\": [\n \"<string>\"\n ],\n \"status\": [\n \"<string>\"\n ],\n \"workflow\": [\n \"<string>\"\n ],\n \"label\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ]\n },\n \"candidates\": {\n \"jobOwner\": [\n \"<string>\"\n ],\n \"decision\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ]\n },\n \"interviews\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"status\": [\n \"<string>\"\n ],\n \"callOutcome\": [\n \"<string>\"\n ],\n \"recommendation\": [\n \"<string>\"\n ],\n \"read\": [\n \"<string>\"\n ],\n \"decision\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"completedDate\": [\n \"last_30_days\"\n ]\n },\n \"activity\": {\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"kinds\": []\n },\n \"tasks\": {\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"taskDefinitionIds\": [\n \"<string>\"\n ]\n },\n \"unansweredQuestions\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"occurredDate\": [\n \"last_30_days\"\n ]\n },\n \"interviewQA\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"completedDate\": [\n \"last_30_days\"\n ],\n \"columns\": []\n },\n \"analytics\": {\n \"invitedDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"ownerIds\": [\n \"<string>\"\n ],\n \"labelIds\": [\n \"<string>\"\n ],\n \"workflowIds\": [\n \"<string>\"\n ],\n \"sourceKeys\": [\n \"<string>\"\n ]\n }\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("X-API-Key", "<api-key>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.alex.com/v1/api/data-exports")
.header("X-API-Key", "<api-key>")
.header("Content-Type", "application/json")
.body("{\n \"entities\": [\n \"Jobs\",\n \"Candidates\",\n \"Interviews\"\n ],\n \"emails\": [\n \"ops@example.com\"\n ],\n \"filters\": {\n \"jobs\": {\n \"createdBy\": [\n \"<string>\"\n ],\n \"status\": [\n \"<string>\"\n ],\n \"workflow\": [\n \"<string>\"\n ],\n \"label\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ]\n },\n \"candidates\": {\n \"jobOwner\": [\n \"<string>\"\n ],\n \"decision\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ]\n },\n \"interviews\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"status\": [\n \"<string>\"\n ],\n \"callOutcome\": [\n \"<string>\"\n ],\n \"recommendation\": [\n \"<string>\"\n ],\n \"read\": [\n \"<string>\"\n ],\n \"decision\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"completedDate\": [\n \"last_30_days\"\n ]\n },\n \"activity\": {\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"kinds\": []\n },\n \"tasks\": {\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"taskDefinitionIds\": [\n \"<string>\"\n ]\n },\n \"unansweredQuestions\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"occurredDate\": [\n \"last_30_days\"\n ]\n },\n \"interviewQA\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"completedDate\": [\n \"last_30_days\"\n ],\n \"columns\": []\n },\n \"analytics\": {\n \"invitedDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"ownerIds\": [\n \"<string>\"\n ],\n \"labelIds\": [\n \"<string>\"\n ],\n \"workflowIds\": [\n \"<string>\"\n ],\n \"sourceKeys\": [\n \"<string>\"\n ]\n }\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.alex.com/v1/api/data-exports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["X-API-Key"] = '<api-key>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"entities\": [\n \"Jobs\",\n \"Candidates\",\n \"Interviews\"\n ],\n \"emails\": [\n \"ops@example.com\"\n ],\n \"filters\": {\n \"jobs\": {\n \"createdBy\": [\n \"<string>\"\n ],\n \"status\": [\n \"<string>\"\n ],\n \"workflow\": [\n \"<string>\"\n ],\n \"label\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ]\n },\n \"candidates\": {\n \"jobOwner\": [\n \"<string>\"\n ],\n \"decision\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ]\n },\n \"interviews\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"status\": [\n \"<string>\"\n ],\n \"callOutcome\": [\n \"<string>\"\n ],\n \"recommendation\": [\n \"<string>\"\n ],\n \"read\": [\n \"<string>\"\n ],\n \"decision\": [\n \"<string>\"\n ],\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"completedDate\": [\n \"last_30_days\"\n ]\n },\n \"activity\": {\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"kinds\": []\n },\n \"tasks\": {\n \"createdDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"taskDefinitionIds\": [\n \"<string>\"\n ]\n },\n \"unansweredQuestions\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"occurredDate\": [\n \"last_30_days\"\n ]\n },\n \"interviewQA\": {\n \"jobIds\": [\n \"<string>\"\n ],\n \"completedDate\": [\n \"last_30_days\"\n ],\n \"columns\": []\n },\n \"analytics\": {\n \"invitedDate\": [\n \"last_30_days\"\n ],\n \"jobIds\": [\n \"<string>\"\n ],\n \"ownerIds\": [\n \"<string>\"\n ],\n \"labelIds\": [\n \"<string>\"\n ],\n \"workflowIds\": [\n \"<string>\"\n ],\n \"sourceKeys\": [\n \"<string>\"\n ]\n }\n }\n}"
response = http.request(request)
puts response.read_body{
"id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"status": "pending",
"entities": [
"Jobs",
"Candidates"
],
"createdAt": "2026-11-09T18:00:00.000Z",
"expiresAt": "2036-11-09T18:00:00.000Z",
"downloadUrl": null
}{
"error": true,
"message": "<string>"
}{
"error": true,
"message": "<string>"
}{
"error": true,
"message": "<string>"
}Queues the same CSV zip as Settings → Data Export. The call returns as soon as the export is accepted; poll
GET /data-exports/{id} until status is completed, then download downloadUrl.Body
application/json
Response
Export queued